JobControllerEnableJob Method |
PUT /Job/EnableJob/{id}
Enables or disables a job.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("EnableJob")]
public IActionResult EnableJob(
Guid id,
[FromBodyAttribute] bool enabled,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("EnableJob")>
Public Function EnableJob (
id As Guid,
<FromBodyAttribute> enabled As Boolean,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"EnableJob")]
IActionResult^ EnableJob(
Guid id,
[FromBodyAttribute] bool enabled,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("EnableJob")>]
member EnableJob :
id : Guid *
[<FromBodyAttribute>] enabled : bool *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the job to enable or disable. - enabled
- Type: SystemBoolean
A Boolean used to enable or disable a job. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResultA
Boolean indicating success (or failure if the job is running) or an error message.
See Also